Bug 1731158 - [RFE] multisite playbook to verify connectivity amongst two sites
Summary: [RFE] multisite playbook to verify connectivity amongst two sites
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.2
Assignee: Ali Maredia
QA Contact: Vasishta
Ranjini M N
URL:
Whiteboard:
Depends On:
Blocks: 1890121 1727980
TreeView+ depends on / blocked
 
Reported: 2019-07-18 13:17 UTC by John Harrigan
Modified: 2021-01-12 14:56 UTC (History)
14 users (show)

Fixed In Version: ceph-ansible-4.0.38-1.el8cp, ceph-ansible-4.0.38-1.el7cp
Doc Type: Enhancement
Doc Text:
.`ceph-ansible` performs additional connectivity check between two sites With this update, `ceph-ansible` performs additional connectivity checks between two sites prior to a realm pull.
Clone Of:
Environment:
Last Closed: 2021-01-12 14:55:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 5797 0 None closed rgw multisite: check connection for realm endpoint 2021-01-11 06:10:27 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:56:15 UTC

Description John Harrigan 2019-07-18 13:17:55 UTC
Description of problem:
Using RHCS 3.2z2 and ceph-ansible to deploy multisite, experienced failures in
sync operations due to connectivity issues amongst the two sites. 
It would be helpful if ceph-ansible performed a verification of connectivity
amongst the two sites, as a pre-check to deploying multisite: 
  * RGWs on site1 to site2 (bi-directional)
  * MONs on site1 to site2 (bi-directional)


Version-Release number of selected component (if applicable):
ceph-ansible.noarch      3.2.15-1.el7cp


How reproducible:
Always


Steps to Reproduce:


Actual results:


Expected results:


Additional info:

Comment 2 Giridhar Ramaraju 2019-08-05 13:10:34 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 3 Giridhar Ramaraju 2019-08-05 13:11:36 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 6 Ali Maredia 2019-08-21 16:17:38 UTC
Casey,

Would a `realm pull` exit with status 1 if the verification of connectivity to the pull host fails? 

Also can you explain why ceph-ansible should keep deploying if some of the endpoints aren't up/reachable?

Comment 16 Ali Maredia 2020-09-17 04:43:02 UTC
I opened up this PR https://github.com/ceph/ceph-ansible/pull/5797 which is performing one of the checks in https://github.com/ceph/ceph-ansible/pull/4524. PR 4524 would be overly complicated for the instance where there is more than 1 RGW on a machine and checking to make sure the pull endpoint is reachable is the major check we need to verify connectivity anyway.

Comment 26 errata-xmlrpc 2021-01-12 14:55:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.